<?php

namespace Src\Modules\Auth\Interfaces\Application;

use Src\Modules\Auth\Interfaces\IFactory as IModuleFactory;
use Src\Modules\Auth\Interfaces\Application\Admin\IFactory as IAdminFactory;

interface IFactory
{
    public function setModuleFactory(IModuleFactory $factory): void;
    public function getModuleFactory(): IModuleFactory;
    public function getAdminFactory(): IAdminFactory;
}